<?php
/*
Plugin Name: Popup Subversion
Plugin URI: http://www.donewforum.com/Forum-POP-UP-Subversion-plugin-support
Version: 1.0
Description: It will pop-up geo location based ads.
Author: masterjani
*/
//General Path Setting
$geoads_path     = 	preg_replace('/^.*wp-content[\\\\\/]plugins[\\\\\/]/', '', __FILE__);
$geoads_path     = 	str_replace('\\','/',$geoads_path);
$geoads_path     = 	substr($geoads_path,0,strrpos($geoads_path,'/'));
$geoads_siteurl  = 	get_bloginfo('wpurl');
$geoads_siteurl  =	(strpos($geoads_siteurl,'http://') === false) ? get_bloginfo('siteurl') : $geoads_siteurl;
$geoads_fullpath = 	$geoads_siteurl.'/wp-content/plugins/'.$geoads_path.'/';
$geoads_relpath  = 	str_replace('\\','/',dirname(__FILE__));
$geoads_abspath  = 	str_replace("\\","/",ABSPATH); 
//Define General Path Setting
define('geoads_path', $geoads_path);
define('geoads_abspath', $geoads_abspath);
define('geoads_path', $geoads_path);
define('geoads_fullpath', $geoads_fullpath);
define('geoads_siteurl', $geoads_siteurl);

require_once 'geoads.php';
include("geoip/geoip.inc");


error_reporting(0);																
global $wpdb;
global $jal_db_version;
$jal_db_version = "1.0";

class geoadsplugin extends geoads
{																				
	function geoadsplugin()														
	{
		global $wpdb;
		add_action('admin_menu',array(&$this,'geoadsNewMenu'));
		add_action('wp_head', array(&$this,'geoads_BeginPop'));
		add_action('wp_footer',array(&$this,'geoads_FinPop'));
		wp_enqueue_script('jquery-ui-tabs');
		wp_enqueue_script('jquery');
		
		$ip=$_SERVER['REMOTE_ADDR'];
		$gi = geoip_open(dirname(__FILE__) ."/geoip/GeoIP.dat",GEOIP_STANDARD);
		//resolving country name
		$country_name=geoip_country_name_by_addr($gi,$ip) ;
		//check for coutnry and ad match
		$table_country=$wpdb->prefix . "gpag_admatch";
		$countryver= $wpdb->get_row( "select * from $table_country WHERE ad_country='$country_name'", ARRAY_A);
		if($countryver!=null)
		{
		$this->geoads_country=$countryver[ad_country]; 
		$this->geoads_headeradname=$countryver[ad_header_name] ;
		$this->geoads_headerbgcolor=$countryver[ad_header_bg] ;
		$this->geoads_headertimedelay=$countryver[ad_header_delay];
		$this->geoads_headerpoptitleheight=$countryver[ad_header_title_height]; 
		$this->geoads_headerpopheight=$countryver[ad_header_height]; 
		$this->geoads_headerpopwidth=$countryver[ad_header_width] ;
		$this->geoads_footeradname=$countryver[ad_footer_name];
		$this->geoads_footerbgcolor=$countryver[ad_footer_bg];
		$this->geoads_footertimedelay=$countryver[ad_footer_delay];
		$this->geoads_footerpoptitleheight=$countryver[ad_footer_title_height];
		$this->geoads_footerpopheight=$countryver[ad_footer_height];
		$this->geoads_footerpopwidth=$countryver[ad_footer_width];
		$this->geoads_exittext=$countryver[ad_exit_text];
		$this->geoads_exiturl=$countryver[ad_exit_url];
		$this->geoads_exitactiv	=$countryver[ad_exit_status];
		
		}
		else 
		{
		$countryver= $wpdb->get_row( "select * from $table_country WHERE ad_country='Default'", ARRAY_A);
		$this->geoads_country=$countryver[ad_country] ;
		$this->geoads_headeradname=$countryver[ad_header_name] ;
		$this->geoads_headerbgcolor=$countryver[ad_header_bg] ;
		$this->geoads_headertimedelay=$countryver[ad_header_delay];
		$this->geoads_headerpoptitleheight=$countryver[ad_header_title_height]; 
		$this->geoads_headerpopheight=$countryver[ad_header_height]; 
		$this->geoads_headerpopwidth=$countryver[ad_header_width] ;
		$this->geoads_footeradname=$countryver[ad_footer_name];
		$this->geoads_footerbgcolor=$countryver[ad_footer_bg];
		$this->geoads_footertimedelay=$countryver[ad_footer_delay];
		$this->geoads_footerpoptitleheight=$countryver[ad_footer_title_height];
		$this->geoads_footerpopheight=$countryver[ad_footer_height];
		$this->geoads_footerpopwidth=$countryver[ad_footer_width];
		$this->geoads_exittext=$countryver[ad_exit_text];
		$this->geoads_exiturl=$countryver[ad_exit_url];
		$this->geoads_exitactiv	=$countryver[ad_exit_status];
		}				
	}
	//Adding Pages
	function geoadsNewMenu() 													
	{	
		 add_menu_page( 'Popup Subversion Settings', 'PopupSubversion - Ad Settings', 'administrator', 'Geoads_input',array(&$this,'geoadsSettingsPage'));
		 add_submenu_page( 'Geoads_input','Matching Country','Match Country', 'manage_options','Geoads_con_input',array(&$this,'geoadsconSettingsPage'));
		 add_submenu_page( null,'Edit Ad','Edit Ad', 'administrator','Geoads_editad',array(&$this,'geoadsadeditPage'));
		 add_menu_page( 'Popup Subversion Stats', 'PopupSubversion - Ad Stats', 'administrator', 'Geoads_ad_stats',array(&$this,'geoadsAdStatsPage'));
		 add_submenu_page( 'Geoads_ad_stats','Country based Stats','Country Stats', 'manage_options','Geoads_con_stats',array(&$this,'geoadsConStatsPage'));
		
	}
	//Adding Scripts
	function geoads_BeginPop()
	{	
		
		$spath=geoads_fullpath.'js/sample.js';
	
		$chilpath=geoads_fullpath.'js/chilltip.js';
		$chilpakpath=geoads_fullpath.'js/chilltip-packed.js';
		$cpath=geoads_fullpath.'css/Geoads.css';
		$chill=geoads_fullpath.'css/chill.css';
		
		echo "<script type=\"text/javascript\" src='$spath'></script>";
		echo "<script type=\"text/javascript\" src='$chilpath'></script>";
		echo "<link rel='stylesheet' href='$cpath' type='text/css'  />";
		
	}
	//disp setting page
	function geoadsSettingsPage()												
	{
		global $wpdb;
		$ad_table = $wpdb->prefix . "gpag_adslist";
	    $view_table = $wpdb->prefix . "gpag_adviews";
	    $match_table = $wpdb->prefix . "gpag_admatch";
		
		$adsql = "CREATE TABLE IF NOT EXISTS $ad_table (
		  id mediumint(9) NOT NULL AUTO_INCREMENT,
		  ad_date VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_name VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_title VARCHAR(2000) DEFAULT '' NOT NULL,
		  ad_content VARCHAR(2000) DEFAULT '' NOT NULL,
		  UNIQUE KEY id (id));";
	
		$matchsql = "CREATE TABLE IF NOT EXISTS $match_table (
		  ad_matchid mediumint(9) NOT NULL AUTO_INCREMENT,
		  ad_country VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_header_name VARCHAR(2000) DEFAULT '' NOT NULL,
		  ad_header_height VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_header_title_height VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_header_width VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_header_delay VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_header_bg VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_footer_name VARCHAR(2000) DEFAULT '' NOT NULL,
		  ad_footer_title_height VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_footer_height VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_footer_width VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_footer_delay VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_footer_bg VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_exit_status VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_exit_text VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_exit_url VARCHAR(55) DEFAULT '' NOT NULL,
		  UNIQUE KEY id (ad_matchid));";
			
		$viewsql = "CREATE TABLE IF NOT EXISTS $view_table (
		  ad_viewid mediumint(9) NOT NULL AUTO_INCREMENT,
		  ad_adid mediumint(9) ,
		  ad_name VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_country VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_date VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_hview VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_hhit VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_fview VARCHAR(55) DEFAULT '' NOT NULL,
		  ad_fhit VARCHAR(55) DEFAULT '' NOT NULL,
		  UNIQUE KEY id (ad_viewid));";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		
		dbDelta( $viewsql );
		dbDelta( $matchsql );
		dbDelta( $adsql );	
		
		$this->geoads_request=$_REQUEST['geoads'];
		
		if($_REQUEST['Adsave'])
			{$this->_geoads_SaveAds();}												
			
		if($_REQUEST['Adview'])
			{$this->_geoads_ViewAds();}												
		if($_REQUEST['AdEdit'])
			{$this->_geoads_EditAds();}												
		
		if($_REQUEST['Adremove'])
			{$this->_geoads_RemoveAds();}	
			
		if($_REQUEST['Matchremove'])
			{$this->_geoads_RemoveMatch();}	
			
		if($_REQUEST['Admatch'])
			{$this->_geoads_MatchAds();}											
		
		$this->_geoads_ad_Settings();
	}
	//disp conuntry setting
	function geoadsconSettingsPage()												
	{
		
		$this->geoads_request=$_REQUEST['geoads'];
		if($_REQUEST['Matchremove'])
			{$this->_geoads_RemoveMatch();}	
			
		if($_REQUEST['Admatch'])
			{$this->_geoads_MatchAds();}											
		
		$this->_geoads_con_Settings();
	}
	//Disp ad edit page
	function geoadsadeditPage()												
	{
		
		$this->geoads_request=$_REQUEST['geoads'];
		if($_REQUEST['save'])
			{$this->_geoads_adeditpage_save();}	
		
		$this->_geoads_adeditpage();
	}
	
	//Disp Stats page
	function geoadsStatsPage()
	{
		$this->geoads_request=$_REQUEST['geoads'];
		$this->_geoads_Stats();
	}
	//Disp ad Stats Page
	function geoadsAdStatsPage()
	{
		$this->geoads_request=$_REQUEST['geoads'];
			if($_REQUEST['AdSel'])
			{$this->_geoads_Stats_Ad();}
			
		$this->_geoads_Stats_ad_disp();
	}
	//Disp Con Stats Page
function geoadsConStatsPage()
	{
		$this->geoads_request=$_REQUEST['geoads'];
			if($_REQUEST['ConSel'])
			{$this->_geoads_Stats_Con();}
			
		$this->_geoads_Stats_con_disp();
	}
	//Disp Pop on page
		function geoads_FinPop()
	{		
			global $wpdb;
			$table_ad=$wpdb->prefix.'gpag_adslist';
			$geoads_country				=	$this->geoads_country;
			$geoads_headeradname		=	$this->geoads_headeradname;
			
			$headerad=$wpdb->get_row("SELECT * FROM $table_ad WHERE ad_name = '$geoads_headeradname'", ARRAY_A);
			if($headerad!=null)
				{
						$geoads_header_title		= stripslashes($headerad[ad_title]);
						$geoads_header_content		= stripslashes($headerad[ad_content]);
				}
			
			$geoads_headerbgcolor		=	$this->geoads_headerbgcolor;
			$geoads_headertimedelay		=	$this->geoads_headertimedelay;
			$geoads_headerpoptitleheight=	intval($this->geoads_headerpoptitleheight)+2;
			$geoads_headerpoptitleheight=	$geoads_headerpoptitleheight.'px';
			$geoads_headerpopheight		=	intval($this->geoads_headerpopheight)+2;
			$geoads_headerpopheight		=	$geoads_headerpopheight.'px';
			$geoads_headerpopwidth		=	intval($this->geoads_headerpopwidth)+2;
			$geoads_headerpopwidth		=	$geoads_headerpopwidth.'px';
			$geoads_footeradname		=	$this->geoads_footeradname;
			
			$footerad=$wpdb->get_row("SELECT * FROM $table_ad WHERE ad_name = '$geoads_footeradname'", ARRAY_A);
			if($footerad!=null)
				{
						$geoads_footer_title		= stripslashes($footerad[ad_title]);
						$geoads_footer_content		= stripslashes($footerad[ad_content]);
				}
				
			$geoads_footerbgcolor		=	$this->geoads_footerbgcolor;
			$geoads_footertimedelay		=	$this->geoads_footertimedelay;
			$geoads_footerpoptitleheight=	intval($this->geoads_footerpoptitleheight)+2;
			$geoads_footerpoptitleheight=	$geoads_footerpoptitleheight.'px';
			$geoads_footerpopheight		=	intval($this->geoads_footerpopheight)+2;
			$geoads_footerpopheight		=	$geoads_footerpopheight.'px';
			$geoads_footerpopwidth		=	intval($this->geoads_footerpopwidth)+2;
			$geoads_footerpopwidth		=	$geoads_footerpopwidth.'px';
			$geoads_exittext			=	$this->geoads_exittext;
			$geoads_exiturl				=	$this->geoads_exiturl;
			$geoads_exitactiv			=	$this->geoads_exitactiv;
	
			$aj_hh_path=geoads_fullpath.'php/hhits.php';
			$aj_hv_path=geoads_fullpath.'php/hviews.php';
			$aj_fh_path=geoads_fullpath.'php/fhits.php';
			$aj_fv_path=geoads_fullpath.'php/fviews.php';
			
?>
	<script>
		var $j = jQuery.noConflict();
		$j(function () 
		{$j('#agpopmy-menus a').attr('target', '_blank');
		$j('#agPopheadermy-content-pannel a').attr('target', '_blank');
		$j('#agpopfootermy-content-pannel a').attr('target', '_blank');
		$j('#agpopfootermy-menus a').attr('target', '_blank');
		
		var exitsplashmessage 	= '<?php echo $geoads_exittext; ?>';
		var AbSplashpage 		= '<?php echo $geoads_exiturl; ?>';
		var AbActive 		    = '<?php echo $geoads_exitactiv; ?>';
		var AbDEExitScreen = true;
		if(AbActive=="Active")
		{AbDEExitScreen = false;}
		else
		{AbDEExitScreen = true;}
		
		var AbDiv = '<div id="ExitSplashDiv"  style="display:block; width:100%; height:100%; position:absolute; background:#FFFFFF; margin-top:0px; margin-left:0px;" align="center">';
		AbDiv = AbDiv + '<iframe src="' + AbSplashpage + '" width="100%" height="100%" align="middle" frameborder="0"></iframe>';
		AbDiv = AbDiv + '</div>';
		AbBody = document.body;
		if (!AbBody) {
				AbBody = document.getElementById("body");
		if (!AbBody) {
				AbBody = document.getElementsByTagName("body")[0];
		}
		}
		
		function AbExitSplash() {
		 if (AbDEExitScreen == false) {
        window.scrollTo(0, 0);
        AbDEExitScreen = true;
		divtag = document.createElement("div");
        divtag.setAttribute("id", "ExitSplashOuterLayer");
        divtag.style.position = "absolute";
        divtag.style.width = "100%";
        divtag.style.height = "100%";
        divtag.style.zIndex = "99";
        divtag.style.left = "0px";
        divtag.style.top = "0px";
        divtag.innerHTML = AbDiv;
        AbBody.innerHTML = ""; AbBody.topMargin = "0px";   AbBody.rightMargin = "0px";   AbBody.bottomMargin = "0px"; AbBody.leftMargin = "0px";
        AbBody.style.overflow = "hidden"; AbBody.appendChild(divtag);
		return exitsplashmessage;
		}		}
		
		window.onbeforeunload = AbExitSplash;

function addLoadEvent(func)
{

    var oldonload = window.onload;
    if (typeof window.onload != 'function') {
        window.onload = func;
    } else {
        window.onload = function () {
            if (oldonload) { oldonload(); }
            func();
        }
    }
}

function addClickEvent(a, i, func) 
{
    if (typeof a[i].onclick != 'function') { a[i].onclick = func; }

}
		
disablelinksfunc = function () {
    var a = document.getElementsByTagName('A');
    for (var i = 0; i < a.length; i++) {
        if (a[i].target !== '_blank') {

           addClickEvent(a, i, function () {
                AbDEExitScreen = true;
            });} 
			else {

            addClickEvent(a, i, function () {

                AbDEExitScreen = true;

            });}}}
addLoadEvent(disablelinksfunc);
disableformsfunc = function () {
    var f = document.getElementsByTagName('FORM');
    for (var i = 0; i < f.length; i++) {
        if (!f[i].onclick) {
            f[i].onclick = function () {
               AbDEExitScreen = true;
            }
       } else if (!f[i].onsubmit) {
            f[i].onsubmit = function () {
                AbDEExitScreen = true;
            }}}}

$j(document).keyup(function(e)
{   switch (e.which)
    {        case 17 : // 'Ctrl'
            isCtrl = false;
            break;
    }});
$j(document).keydown(function(e)
{   switch (e.which)
    {
       case 17 : // 'Ctrl'
           isCtrl = true;
            break;
        case 82: // 'R'
            if(isCtrl)
                AbDEExitScreen = true;
           break;
        case 116 : // 'F5'
           AbDEExitScreen = true;
            break;
        default:
            AbDEExitScreen = false;
    }});
$j('[id^=google]').hover(function(){AbDEExitScreen = true;},
                             function(){AbDEExitScreen = false;});
addLoadEvent(disableformsfunc);
var $viewheader=true;

$j("#agPopheadermy-content-pannel").click(function(e)
{
  		
		if($viewheader==true)
	   {	
	$viewheader=false; 
			$j.post("<?php echo $aj_hh_path; ?>",{ hits:"1",country:"<?php echo $geoads_country;?>",name:"<?php echo $geoads_headeradname;?>" },function(data,status){});
	   }
		
});
  var $countheader=true;
 $j('#agpopheader-fixed').mouseenter(function (e) {
 if($countheader==true)
 {
 $countheader=false;
 $j.post("<?php echo $aj_hv_path; ?>",{ views:"1" ,country:"<?php echo $geoads_country;?>",name:"<?php echo $geoads_headeradname;?>"},function(data,status){});
 }});
 var $countfooter=true;
 
$j('#agpopfootermy-content-pannel').click(function (e) 
{	
if($countfooter==true)
		{	$countfooter=false;
			$j.post("<?php echo $aj_fh_path; ?>",{ hits:"1",country:"<?php echo $geoads_country;?>",name:"<?php echo $geoads_footeradname;?>" },function(data,status){});
		}
	 
		
});
var $ag_viewfooter=true;
 $j('#agpopfooter-fixed').mouseenter(function (e) {if($ag_viewfooter==true){$ag_viewfooter=false;
 $j.post("<?php echo $aj_fv_path; ?>",{ views:"1",country:"<?php echo $geoads_country;?>",name:"<?php echo $geoads_footeradname;?>"},function(data,status){} );}});
 
 });
</script>
<?php
$spath=geoads_fullpath.'js/append.js';
echo "<script type=\"text/javascript\" src='$spath'></script>";

echo <<<SAM
	<div id="agpopheader-fixed" class="fixed" hidden="true">
	<div id="agpopmy-menus" style="background:$geoads_headerbgcolor;height:$geoads_headerpoptitleheight">$geoads_header_title</div>
	<div id="agpopmy-content" hidden="true" style="background-color: rgba(0, 0, 0,.7);"><div id="agPopheadermy-content-pannel" style="background:#fff;border-style:solid;border-width:2px;border-color:white;width:$geoads_headerpopwidth !important;height:$geoads_headerpopheight !important;overflow:hidden;">$geoads_header_content</div><div id="agpop_header_button"></div></div>
	</div>
	<div id="agpopfooter-fixed" class="footerfixed" hidden="true">
	<div id="agpopfootermy-content" hidden="true" style="background-color: rgba(0, 0, 0,.7);">
	<div id="agpopfootermy-content-pannel" style="background:#fff;border-style:solid;border-width:2px;border-color:white;width:$geoads_footerpopwidth;height:$geoads_footerpopheight;overflow:hidden;">$geoads_footer_content</div>
	<div id="agpop_footer_button"></div>
	</div>
	<div id="agpopfootermy-menus" style="background:$geoads_footerbgcolor;height:$geoads_footerpoptitleheight">$geoads_footer_title</div>
	</div>
	<span id="delaytimer" hidden="true" value="$geoads_headertimedelay">$geoads_headertimedelay	</span>
	<span id="footerdelaytimer" hidden="true" value="$geoads_footertimedelay">$geoads_footertimedelay</span>
	<span id="geoads_headeradname" hidden="true" value="$geoads_headeradname">$geoads_headeradname</span>
	<span id="geoads_footeradname" hidden="true" value="$geoads_footeradname">$geoads_footeradname</span>
	<span id="geoads_footerpoptitleheight" hidden="true" value="$geoads_footerpoptitleheight">$geoads_footerpoptitleheight</span>
	<span id="geoads_headerpoptitleheight" hidden="true" value="$geoads_headerpoptitleheight">$geoads_headerpoptitleheight</span>
	
	
SAM;
	}
}//end of class
$geoad = new geoadsplugin();
?>